Change Start Time
post
/custom-actions/changeStartTime/shipments/
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
isFixed: boolean
Overrides the previous constraints on the original shipment start time.
-
offSetDuration: string
Start Time Offset Duration in seconds.
-
resetOrderTimeWindows: boolean
Affects all order releases and their associated order bases for the shipment. Changes the time window emphasis of these order releases to NONE before attempting to change the start time
-
shipmentGid: string
The shipment must be identified using a shipment GID.
-
startDateTime: string
The start time of the shipment in a YYYY-MM-DDTHH:mm:ss+hh:mm (e.g., 2023-10-27T14:00:00+05:30) format.
Response
Supported Media Types
- application/json
200 Response
Successful.
Root Schema : changeStartTimeResponse
Type:
Show Source
object-
actualCostOfShipment: string
The actual cost of the shipment.
-
isFeasible: boolean
Indicates if the new start time is feasible.
-
newStartDateTime: string
The new start time of the shipment in YYYY-MM-DDTHH:mm:ss+hh:mm (e.g., 2023-10-27T14:00:00+05:30) format.
-
shipmentGid: string
The shipment must be identified using a shipment GID.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field or a missing required value.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized. The request was not successful because it lacks the valid authentication credentials for the requested resource.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Access to the specified resource is forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.